package com.gh.gamecenter.core.provider

import androidx.fragment.app.Fragment
import androidx.lifecycle.LiveData
import androidx.lifecycle.ViewModel


interface ISearchTabUtilsProvider {

    fun obtainParentViewModel(fragment: Fragment): ViewModel

    fun getKeyAndTypeLiveData(viewModel: ViewModel?): LiveData<Pair<String, String>>?
}